part  of ad_detail;


class AdDetailPage extends StatefulWidget {
  final AdModel adModel;
  const AdDetailPage({
    Key? key,
    required this.adModel
  }) : super(key: key);

  @override
  State<AdDetailPage> createState() => _AdDetailPageState();
}

class _AdDetailPageState extends State<AdDetailPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('用户协议'),
        ),
        body: InAppWebView(
          initialUrlRequest: URLRequest(
            url: Uri.parse(widget.adModel.url??''),
          ),
        )
    );
  }
}
